Bug 195962 - Rpmlint fails reading Source RPMs
Rpmlint fails reading Source RPMs
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-06-19 19:10 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.77-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-30 05:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-06-19 19:10:48 EDT
Description of problem:
Rpmlint fails reading Source RPMs:

$ rpmlint php-idn-1.1-6.src.rpm
E: php-idn devel-dependency php-devel
Traceback (most recent call last):
  File "/usr/share/rpmlint/rpmlint.py", line 250, in ?
  File "/usr/share/rpmlint/rpmlint.py", line 83, in main
  File "/usr/share/rpmlint/rpmlint.py", line 138, in runChecks
  File "/usr/share/rpmlint/TagsCheck.py", line 554, in check
    if srpm[0:-8] == '%s-%s-%s' % (name, version, release):
TypeError: unsubscriptable object

Version-Release number of selected component (if applicable):

How reproducible:
Always, see above.

Actual results:
Rpmlint fails reading Source RPMs

Expected results:
I'm not expecting to work with Source RPMs, but a nice error message "Error: 
Source RPMs are NOT supported!" would be more friendly...

Checking whether a RPM package is Source RPM or not can be done using 
RPMTAG_SOURCERPM. Bug #195792 contains a link to jbj's announcement and how
it can be used.
Comment 1 Ville Skyttä 2006-06-20 02:33:56 EDT
rpmlint definitely supports checking source rpms, but apparently something has
changed in devel which breaks it.  Thanks for the heads up and the pointer, will
have a look.
Comment 2 Ville Skyttä 2006-06-20 14:07:34 EDT
Should be fixed upstream: http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1200

I don't have a rawhide box to test with, so it would be nice if you could try
downloading the supposedly fixed version and install it temporarily as
/usr/share/rpmlint/Pkg.py and see if it fixes the problem:
Comment 3 Robert Scheck 2006-06-20 14:11:49 EDT
Yes fixes the problem and works here - thanks!
Comment 4 Ville Skyttä 2006-06-30 05:25:53 EDT
Fixed in 0.77-1

Note You need to log in before you can comment on or make changes to this bug.